<?php
//define('SKIP_ENV_TEST',TRUE);
/**
 *  Check for installed functions / configuration
 * @return unknown_type
 */
function testEnv()
{
	//check for installed functions / configuration
	if(!function_exists('simplexml_load_string')){
		die('<div class="error">The SimpleXML for php is required to read RSS feeds, but is not installed/enabled on your server.</div>');
	}
	if(!function_exists('file_get_contents')){
		die('<div class="error">The function "file_get_contents" has been disabled on your server. This function is required by the feed reader.</div>');
	}
	if(ini_get('allow_url_fopen') != 1){
		die('<div class="error">A feature of php required to use this software has been disabled. Please enable "allow_url_fopen" in your php configuration.</div>');
	}
}
/**
 * Rev 1 of an RSS feed reader for wordpress.
 * Pretty slow to have a featured spot on your web page.
 * @param $strUrl
 * @param $intMaxItems
 * @return string
 */
function getRssFeed($strUrl, $intMaxItems = 3)
{
	//check for installed functions / configuration
	if(!defined('SKIP_ENV_TEST') && (SKIP_ENV_TEST !== TRUE)){
		//testEnv is expensive. Test can be disabled.
		testEnv();
	}
	//Checks done. Get data.
	$strFeed = file_get_contents($strUrl);
	$strOutput = '';
	try{
		$oXml = simplexml_load_string($strFeed,'SimpleXMLElement', LIBXML_NOCDATA);
		$oItems = $oXml->channel->item;
		$intCount = 0;
		$strOutput = '<div class="rss_feed">';
		foreach($oItems as $oItem){
			$intLinkStart = '<a class="item_link" href="' . $oItem->link . '" >';
			$strOutput .= '<div class="feed_item">';
			$strOutput .= '<div class="item_title">' . $intLinkStart . strip_tags($oItem->title) . '</a></div>';
			//$strOutput .= '<div class="item_text">' . strip_tags($oItem->description->asXml()) . '</div>';
			$desc = strip_tags($oItem->description);
			$strOutput .= '<div class="item_text">' . $desc . '</div>';
			$strOutput .= '</div>';
			unset($tmp);
			$intCount++;
			if($intCount >= $intMaxItems){
				break; //leave foreach loop
			}
		}
		$strOutput .= '</div>';
	}catch(Exception $e){
		$strOutput = '<div class="error">Error reading RSS from "' . htmlentities($strUrl) . '"</div>';
	}
	return $strOutput;
}
//echo '<pre>' . print_r(mb_list_encodings(),TRUE) . '</pre>';